Summary:        Module::Install extension to automatically generate LICENSE files
Name:           perl-Module-Install-AutoLicense
Version:        0.10
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Module-Install-AutoLicense
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/Module-Install-AutoLicense-%{version}.tar.gz

Patch3000:      Use-Module-Install-AutoLicense-for-tarball.patch

BuildArch:      noarch
BuildRequires:  coreutils findutils make perl-interpreter >= 5.6.0
BuildRequires:  perl-generators perl(base) perl(Config) perl(Capture::Tiny) >= 0.05
BuildRequires:  perl(File::Path) perl(File::Temp) perl(lib)
BuildRequires:  perl(inc::Module::Install) >= 0.85 perl(Module::Install) >= 0.85
BuildRequires:  perl(Module::Install::Base) perl(Module::Install::Can)
BuildRequires:  perl(Module::Install::GithubMeta) perl(Module::Install::Makefile)
BuildRequires:  perl(Module::Install::Metadata) perl(Module::Install::WriteAll)
BuildRequires:  perl(Software::License) >= 0.01 perl(strict) perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Pod) >= 1.00 perl(Test::Pod::Coverage) >= 1.00
BuildRequires:  perl(vars) perl(warnings) sed

Requires:       perl(Module::Install) >= 0.85
Requires:       perl(Software::License) >= 0.01
Requires:       perl-libs

%description
Module::Install::AutoLicense is a Module::Install extension that generates
a LICENSE file automatically whenever the author runs Makefile.PL. On the
user side it does nothing.

%prep
%autosetup -n Module-Install-AutoLicense-%{version} -p1

rm -r inc
sed -i -e '/^inc\// d' MANIFEST
find -type f -exec chmod -x {} +

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Feb 21 2023 cunshunxia <cunshunxia@tencent.com> - 0.10-1
- initial build
